# Gtk::TreeModelColumnBase Class Reference
[TreeView Classes]

Base class of TreeModelColumn templates. More...

Inherited by Gtk::TreeModelColumn< T >, Gtk::TreeModelColumn< ColumnType >, and Gtk::TreeModelColumn< Glib::ustring >.

List of all members.

## Public Member Functions

GType | type () const
int | index () const

## Protected Member Functions

| TreeModelColumnBase (GType type)

## Detailed Description

Base class of TreeModelColumn templates.

## Constructor & Destructor Documentation

Gtk::TreeModelColumnBase::TreeModelColumnBase | ( | GType | type | ) | `[explicit, protected]`

## Member Function Documentation

int Gtk::TreeModelColumnBase::index | ( |  | ) | const`[inline]`

GType Gtk::TreeModelColumnBase::type | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- gtkmm/treemodelcolumn.h